package com.zenika.presentation.annotations.runtime.csvreader;

import java.io.FileReader;
import java.util.List;
import static org.junit.Assert.*;

public class Test {

    @org.junit.Test
    public void testCSVReader() throws Exception {

        CSVReader<Client> csvReader = new CSVReader<Client>(Client.class) {
            @Override
            protected Client newContainer() {
                return new Client();
            }
        };

        List<Client> clients = csvReader.read(new FileReader("/home/olivier/Java/Workspaces/Interne/Annotations/src/com/zenika/presentation/annotations/runtime/csvreader/clients.csv"));
        assertEquals(3, clients.size());
        for (Client client : clients) {
            System.out.println(client);
        }

    }

}
